Loading...
Searching...
No Matches
field_indirect_iterator< SizeRandomInputIterator, ScalarForwardOutputIterator >

## Detailed Description

template<class SizeRandomInputIterator, class ScalarForwardOutputIterator>
class rheolef::details::field_indirect_iterator< SizeRandomInputIterator, ScalarForwardOutputIterator >

Definition at line 86 of file field_wdof_indirect.h.

Inheritance diagram for field_indirect_iterator< SizeRandomInputIterator, ScalarForwardOutputIterator >:

## Public Types

using | base = field_indirect_const_iterator< SizeRandomInputIterator, ScalarForwardOutputIterator >
using | size_type = typename base::size_type
using | value_type = typename base::value_type
using | difference_type = std::ptrdiff_t
using | self_type = field_indirect_iterator< SizeRandomInputIterator, ScalarForwardOutputIterator >
Public Types inherited from field_indirect_const_iterator< SizeRandomInputIterator, ScalarForwardOutputIterator >
using | iterator_category = std::forward_iterator_tag
using | size_type = std::size_t
using | value_type = typename std::iterator_traits< ScalarForwardOutputIterator >::value_type
using | reference = const value_type &
using | pointer = const value_type *
using | difference_type = std::ptrdiff_t
using | self_type = field_indirect_const_iterator< SizeRandomInputIterator, ScalarForwardOutputIterator >

## Public Member Functions

| field_indirect_iterator (SizeRandomInputIterator dis_idof_iter, size_type first_dis_idof, ScalarForwardOutputIterator val)
value_type & | operator* ()
self_type & | operator++ ()
self_type & | operator+= (difference_type n)
self_type | operator+ (difference_type n) const
Public Member Functions inherited from field_indirect_const_iterator< SizeRandomInputIterator, ScalarForwardOutputIterator >
| field_indirect_const_iterator (SizeRandomInputIterator dis_idof_iter, size_type first_dis_idof, ScalarForwardOutputIterator val)
const value_type & | operator* () const
self_type & | operator++ ()
self_type & | operator+= (difference_type n)
self_type | operator+ (difference_type n) const
bool | operator== (const self_type &j) const
bool | operator!= (const self_type &j) const

## Additional Inherited Members

Protected Attributes inherited from field_indirect_const_iterator< SizeRandomInputIterator, ScalarForwardOutputIterator >
SizeRandomInputIterator | _dis_idof_iter
size_type | _first_dis_idof
ScalarForwardOutputIterator | _val

## Member Typedef Documentation

## base

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

using base = field_indirect_const_iterator<SizeRandomInputIterator,ScalarForwardOutputIterator>

Definition at line 92 of file field_wdof_indirect.h.

## size_type

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

using size_type = typename base::size_type

Definition at line 93 of file field_wdof_indirect.h.

## value_type

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

using value_type = typename base::value_type

Definition at line 94 of file field_wdof_indirect.h.

## difference_type

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

using difference_type = std::ptrdiff_t

Definition at line 95 of file field_wdof_indirect.h.

## self_type

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

using self_type = field_indirect_iterator<SizeRandomInputIterator,ScalarForwardOutputIterator>

Definition at line 96 of file field_wdof_indirect.h.

## Constructor & Destructor Documentation

## field_indirect_iterator()

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

field_indirect_iterator | ( | SizeRandomInputIterator | dis_idof_iter,
|  | size_type | first_dis_idof,
|  | ScalarForwardOutputIterator | val
| ) |  |

Definition at line 100 of file field_wdof_indirect.h.

## Member Function Documentation

## operator*()

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

value_type & operator* | ( |  | ) |

Definition at line 109 of file field_wdof_indirect.h.

## operator++()

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

self_type & operator++ | ( |  | ) |

Definition at line 110 of file field_wdof_indirect.h.

## operator+=()

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

self_type & operator+= | ( | difference_type | n | ) |

Definition at line 111 of file field_wdof_indirect.h.

## operator+()

template<class SizeRandomInputIterator , class ScalarForwardOutputIterator >

self_type operator+ | ( | difference_type | n | ) | const

Definition at line 112 of file field_wdof_indirect.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_wdof_indirect.h